Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.LayerTree Class Reference
Inheritance diagram for foxit.pdf.LayerTree:

## Public Types
enum | UsageState { UsageState.e_StateON = 0x0000, UsageState.e_StateOFF = 0x0001, UsageState.e_StateUnchanged = 0x0002, UsageState.e_StateUndefined = 0x0003 }
| Enumeration for PDF layer base state. More...

## Public Member Functions
| LayerTree (PDFDoc document)
| Constructor, from a PDF document. More...
| LayerTree (LayerTree other)
| Constructor, with another layer tree object. More...
PDFDictionary | GetDict ()
| Get the dictionary of current object. More...
PDFArray | GetOCGs ()
| Get the "OCGs" PDF array from current object. More...
LayerNodeArray | GetOCGsByPageIndex (int page_index)
| Get an array of OCG objects found on a specified page. More...
LayerNode | GetRootNode ()
| Get the root layer node. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | SetBaseState (LayerTree.UsageState state)
| Set the base state for all layers in the default configuration. More...

## Detailed Description

PDF layer nodes are stored in a PDF layer tree. If user wants to retrieve a layer node, user must construct a layer tree object from a PDF document first and then call function LayerTree.GetRootNode to get the root layer node of the whole layer tree. Then, user can enumerate all the nodes in the layer tree from the root layer node.

See also
  LayerNode

## Member Enumeration Documentation

## ◆ UsageState

enum foxit.pdf.LayerTree.UsageState
| strong

Enumeration for PDF layer base state.

Values of this enumeration should be used alone.

Enumerator
e_StateON | The state is ON.
e_StateOFF | The state is OFF.
e_StateUnchanged | The state is unchanged.
e_StateUndefined | The state is undefined.

## Constructor & Destructor Documentation

## ◆ LayerTree() [1/2]

foxit.pdf.LayerTree.LayerTree | ( | PDFDoc | document | ) |
| inline

Constructor, from a PDF document.

The constructed layer tree object can be associated with existed layer tree in PDF document. If there is no layer tree in PDF document which can be judged by functoin PDFDoc.HasLayer , the constructed layer tree object will build layer related dictionary.

Parameters

  [in] | document | A valid PDF document object.

## ◆ LayerTree() [2/2]

foxit.pdf.LayerTree.LayerTree | ( | LayerTree | other | ) |
| inline

Constructor, with another layer tree object.

Parameters

  [in] | other | Another layer tree object.

## Member Function Documentation

## ◆ GetDict()

PDFDictionary foxit.pdf.LayerTree.GetDict | ( |  | ) |
| inline

Get the dictionary of current object.

Note
  Please refer to "Optional Content Properties Dictionary" in <PDF Reference 1.7> P375 for more details.

Returns
  The dictionary of current object. If there is any error, this function will return null.

## ◆ GetOCGs()

PDFArray foxit.pdf.LayerTree.GetOCGs | ( |  | ) |
| inline

Get the "OCGs" PDF array from current object.

Note
  Please refer to "Optional Content Properties Dictionary" in <PDF Reference 1.7> P375 for more details.

Returns
  The "OCGs" PDF array. If there is no "OCGs" entry or any error occurs, this function will return null.

## ◆ GetOCGsByPageIndex()

LayerNodeArray foxit.pdf.LayerTree.GetOCGsByPageIndex | ( | int | page_index | ) |
| inline

Get an array of OCG objects found on a specified page.

Parameters

  [in] | page_index | Index of the page of child to be retrieved. Valid range: from 0 to (count-1). count is returned by function PDFDoc.GetPageCount .

Returns
  A layer node array object.

## ◆ GetRootNode()

LayerNode foxit.pdf.LayerTree.GetRootNode | ( |  | ) |
| inline

Get the root layer node.

After getting the root layer node, user can enumerate all layer nodes in current layer tree by functions of class LayerNode.

Returns
  Root layer node.

## ◆ IsEmpty()

bool foxit.pdf.LayerTree.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetBaseState()

bool foxit.pdf.LayerTree.SetBaseState | ( | LayerTree.UsageState | state | ) |
| inline

Set the base state for all layers in the default configuration.

If user wants the new state to have effect on rendering result, please construct a new layer context object after this function succeeds, and then use the new LayerContext to Renderer to do rendering.

Parameters

  [in] | state | Layer usage state. Please refer to values starting from foxit.pdf.LayerTree.UsageState.e_StateON and this should be one of these values except foxit.pdf.LayerTree.UsageState.e_StateUndefined .

Returns
  true means success, while false means failure.